# Git snapshot 86fb0a7586f55c6d82a0c48331ef680a9a1d2f7a
%define gitrev	git20161025

Name:		rkward
Version:	0.7.0
Release:	%mkrel -c %{gitrev} 1
Summary:	RKWard aims to provide an easily extensible, easy to use IDE/GUI for R-language
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		https://rkward.kde.org/
Source0:	http://download.kde.org/stable/rkward/%{version}/src/%{name}-%{version}.tar.gz
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5TextEditor)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5WebKit)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5Crash)

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

BuildRequires:	R-base

Requires:	R-base
Requires:	plasma-workspace

%description
RKWard is meant to become an easy to use, transparent front-end to
the R-language, a very powerful, yet hard-to-get-into scripting-language
with a strong focus on statistic functions. It will not only provide a
convenient user-interface, however, but also take care of seamless
integration with an office-suite. Practical statistics is not just about
calculating, after all, but also about documenting and ultimately
publishing the results.

%prep
%setup -q

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --with-html --all-name

# FIXME create symlinks for rkward.frontend and rkward.backend so that they can be found
ln -st %{buildroot}%{_kf5_bindir} %{_libexecdir}/rkward.frontend
ln -st %{buildroot}%{_kf5_bindir} %{_libexecdir}/rkward.rbackend

%files -f %{name}.lang
%{_kf5_bindir}/%{name}*
%{_kf5_iconsdir}/hicolor/*/*/%{name}.png
%{_kf5_iconsdir}/hicolor/scalable/*/%{name}.svgz
%{_kf5_libdir}/R/library/%{name}/
%{_kf5_libdir}/R/library/rkwardtests/
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/katepart5/syntax/r.xml
%{_kf5_datadir}/katepart5/syntax/%{name}.xml
%{_kf5_services}/%{name}.protocol
%{_kf5_applicationsdir}/org.kde.%{name}*.desktop
%{_libexecdir}/%{name}.*
%{_kf5_mandir}/man1/%{name}.*
%{_kf5_datadir}/mime/packages/vnd.%{name}.r.xml


%changelog
* Sat Jan 07 2017 daviddavid <daviddavid> 0.7.0-0.git20161025.1.mga6
+ Revision: 1080408
- new version: 0.7.0 (first git snapshot from Kf5 branch)
- port to Kf5/Qt5
- update URL

* Thu May 12 2016 daviddavid <daviddavid> 0.6.5-1.mga6
+ Revision: 1014111
- new version: 0.6.5
- remove merged upstream patch
- update Source URL

* Mon Mar 28 2016 pterjan <pterjan> 0.6.3-4.mga6
+ Revision: 995821
- Add upstream patch to fix build on arm
- Add upstream patch to fix build on arm

* Sun Mar 20 2016 luigiwalser <luigiwalser> 0.6.3-3.mga6
+ Revision: 993380
- drop invalid dep katepart

* Fri Feb 19 2016 umeabot <umeabot> 0.6.3-2.mga6
+ Revision: 969275
- Mageia 6 Mass Rebuild

* Tue Aug 18 2015 anaselli <anaselli> 0.6.3-1.mga6
+ Revision: 865625
- new version 0.6.3

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-4.mga5
+ Revision: 749012
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-3.mga5
+ Revision: 688678
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.1-2.mga4
+ Revision: 529064
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 dams <dams> 0.6.1-1.mga4
+ Revision: 449587
- fix .desktop
- new version 0.6.1

* Mon Jan 14 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 380353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.6.0-1.mga3
+ Revision: 311902
- new version 0.6.0

* Sat Jan 21 2012 malo <malo> 0.5.7-5.mga2
+ Revision: 199268
- Bump rel

* Mon Jan 16 2012 matteo <matteo> 0.5.7-4.mga2
+ Revision: 196997
- added katepart as required (mandatory)

* Mon Jan 16 2012 matteo <matteo> 0.5.7-3.mga2
+ Revision: 196876
- rebuild needed by the new R version

* Tue Oct 25 2011 matteo <matteo> 0.5.7-2.mga2
+ Revision: 157911
- spec file reviewed

* Mon Oct 24 2011 fwang <fwang> 0.5.7-1.mga2
+ Revision: 157652
- update file list
- update file list
- new version 0.5.7

* Sun Sep 18 2011 matteo <matteo> 0.5.6-3.mga2
+ Revision: 145076
- fixed some libdir macro
- fixed some kde macro; restored education category from desktop file

* Sun Sep 18 2011 matteo <matteo> 0.5.6-2.mga2
+ Revision: 144918
- fixed missing br
- spec file cleaned

* Mon Sep 05 2011 matteo <matteo> 0.5.6-1.mga2
+ Revision: 138885
- replaced some occurence of rkward with %%name macro
- changed paths into %%file section; replaced -C build/ with -C build
- fixed missing clean in install section; switched from cmake to cmake_kde4 macro
- fixed typo in Summary
- imported package rkward

